Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 125049 - misleading usage message: "Please specify either -l, -u, --nox, or package names"
Summary: misleading usage message: "Please specify either -l, -u, --nox, or package na...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: up2date
Version: 3.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bryan Kearney
QA Contact: Beth Nackashi
URL:
Whiteboard:
Depends On:
Blocks: RHEL3U8CanFix
TreeView+ depends on / blocked
 
Reported: 2004-06-02 12:16 UTC by Tom Jones
Modified: 2013-01-10 08:47 UTC (History)
0 users

Fixed In Version: RHBA-2006-0465
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-07-20 15:13:37 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2006:0465 normal SHIPPED_LIVE up2date bug fix update 2006-07-19 20:50:00 UTC

Description Tom Jones 2004-06-02 12:16:08 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040207 Firefox/0.8

Description of problem:
The usage message given by up2date can be misleading.  For example,
typing "up2date --nox --download", you will be told "Please specify
either -l, -u, --nox, or package names as command line arguments." 
But one of those was specified as an argument, so the message needs to
be rewritten so as to not be misleading.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.up2date --nox --download
2.read first couple of lines of usage message

    

Actual Results:  Output included:
"Please specify either -l, -u, --nox, or package names as command line
arguments."


Expected Results:  Not sure what the exact logic is for up2date's
arguments, but I imagine a message like "either -l, -u or package
names must be specified when using the --nox option" is more correct.

Additional info:

Comment 3 Fanny Augustin 2006-04-11 00:20:23 UTC
Blocking rhnupr4u4 and rhnupr3u8 to track the progress of the release

Comment 4 Fanny Augustin 2006-04-13 19:20:20 UTC
Moving bugs to the CanFix List

Comment 5 James Bowes 2006-04-27 15:38:13 UTC
I changed this message to:
"Please specify either -l, -u, --register, --configure, or package names as
command line arguments."

These are the basic operations you can do with up2date.

Comment 7 Fanny Augustin 2006-05-09 20:33:46 UTC
Re-aligning to correct bug trackers

Comment 8 Beth Nackashi 2006-05-11 18:33:19 UTC
Verified on i386, ia64, x86_64, s390, s390x, and ppc using the latest up2date
and rhnlib.

Packages tested:
up2date-4.4.69-8
rhnlib-1.8.7-1

Comment 9 Beth Nackashi 2006-06-20 22:43:41 UTC
--installall needs to be added to the list of command line options.  It no
longer requires the --channel argument.

Comment 10 Bret McMillan 2006-06-21 19:42:01 UTC
--installall=<channel label> now listed as a possible options.  The crux of the
matter was that certain combinations of --channel & --installall could end up w/
up2date thinking "there are no package names to install", and merrily continuing
on its way.  At some point, logic would say:  Do I have any package names to
install?  The answer would be no.  Then it would ask:  Are any other
minimum-needed options present?  The answer would be no.  So it would bork.

So, 2 things:
1)  messaging changed
2)  if you hand installall a channel label that is non-existant or excluded via
--channel options, an error message will show
3)  if the specified channel label has no packages, an error message will show


Comment 12 Red Hat Bugzilla 2006-07-20 15:13:37 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0465.html



Note You need to log in before you can comment on or make changes to this bug.